import { Injector } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { OpenApiRemoteMethod } from './open-api.remote-method';
import { OpenApiConfigService } from '@rxap/open-api';
import * as i0 from "@angular/core";
export declare class OpenApiRemoteMethodLoader {
    readonly openApiConfig: OpenApiConfigService;
    readonly http: HttpClient;
    readonly injector: Injector;
    constructor(openApiConfig: OpenApiConfigService, http: HttpClient, injector: Injector);
    load(definitionId: string): OpenApiRemoteMethod | null;
    static ɵfac: i0.ɵɵFactoryDeclaration<OpenApiRemoteMethodLoader, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<OpenApiRemoteMethodLoader>;
}
